Wondering if you can help me. Ive had my iphone for a while and its fine. I had an OTB 1.1.1 downgraded it to 1.0.2 and then unlocked it with IPSF v1.6. How can I upgrade to 1.1.1 or even 1.1.2?

I have left it a while for programs to develop further. But I have also forgotton what im doing and what I need to do.